/*

	Να γραφεί συνάρτηση με όνομα int invalidRecords(double salary[],double taxrate[], int size).
	 Στο πεδίο salary είναι οι μισθοί των υπαλλήλων μιας επιχείρησης και στο πεδίο taxrate οι αντίστοιχοι 
	 συντελεστές φορολογίας (τιμές στο διάστημα 0..1) Το πλήθος των εγγραφών αυτών είναι size. 
	 Ωστόσο κάποιες τιμές είναι λανθασμένες πχ. αρνητικοί μισθοί ή συντελεστές φορολογίας εκτός διαστήματος 0..1
	  Η συνάρτηση θα πρέπει να βρίσκει και να επιστρέφει πόσες εγγραφές δεν είναι έγκυρες.
*/

# include <stdio.h>
# define SIZE 5

/** ελέγχει αν ειναι ακυρη η εγγραφη **/
int invalid(double s,double t)
{
	if(s<0 || t<0 || t>=1) return 1;
	else return 0;
}

int invalidRecords(double salary[],double taxrate[], int size)
{
	int i;
	int count =0;
	for(i=0;i<size;i++)
	{
		if(invalid(salary[i],taxrate[i])) count++;
	}
	return count;
}

void  printFinalSalaries(double salary[],double taxrate[],int size)
{
	int i;
	for(i=0;i<size;i++)
	{
		if(invalid(salary[i],taxrate[i])==0)
		{
			double telikos = salary[i]-taxrate[i]*salary[i];
			printf("Telikes apodexes gia ton ypallilo %d = %lf\n",i,telikos);
		}
	}
}

int main()
{
	
	double salary[SIZE]= {800.0,600.0,-100.0,  -500, 600};
	double taxrate[SIZE]={0.2,  0.1,   0.05,  1.19, 0.02};
	int k=invalidRecords(salary,taxrate,SIZE);
	printf(" Invalid  %d \n",k);
	printFinalSalaries(salary,taxrate,SIZE);
	return 0;
}
